#include <iostream>
#include <string>
#include <math.h>

using namespace std;

int main() {
	long N, Q;
	long veci=0, manji=0, isti=0;
	
	cin>>N>>Q;
	
	long* A = new long[N];
	long* B = new long[Q];
	
	for(int i=0; i<N; i++)
		cin>>A[i];
		
	for(int i=0; i<Q; i++)
		cin>>B[i];	
	
	long current=0; long rezultat;
	for(int j=0; j<Q; j++){
		veci=0; manji=0; isti=0;
		int current=B[j];
		for(int i=0; i<N; i++){
			if(A[i]>current)
				veci++;
			else if(A[i]<current)
				manji++;
			else if(A[i]==current)
				isti++;
		}

		if(manji>veci)
			rezultat=manji-veci+1-isti;
		else if(manji<veci)
			rezultat=veci-manji-isti;
		else if(manji==veci && isti>0)
			rezultat=0;
			
		if(N%2==1 && rezultat!=0)
			rezultat--;
		
		cout<<rezultat; if(j!=Q-1) cout<<" ";
	}


	
	
	return 0;
}